Bug 432196 - Enable Infiniband connected mode support (CONFIG_INFINIBAND_IPOIB_CM) in kernel config
Enable Infiniband connected mode support (CONFIG_INFINIBAND_IPOIB_CM) in kern...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 13:34 EST by Gregory Maxwell
Modified: 2008-11-26 10:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 10:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Maxwell 2008-02-09 13:34:54 EST
Description of problem:
CONFIG_INFINIBAND_IPOIB_CM is not enabled in the configuration of kernels that
Fedora ships.  This means that users of connected mode must build their own kernels.

With CONFIG_INFINIBAND_IPOIB_CM enabled connected mode is still not activated
until a user asks for it through sysfs, i.e. "echo connected >
/sys/class/net/ib0/mode", so activating the option does not result in a change
of default behavior.

Without connected mode infiniband can only use a 2k MTU for IP traffic.

Large MTUs can result in significant performance increases (150 MBytes/sec TCP
-> 700Mbytes/sec TCP, on my systems when changing to 64k MTU).


How reproducible:
Install Fedora
  
Actual results:
Infiniband connected mode is not available.

Expected results:
Infiniband connected mode is available.
Comment 1 Chuck Ebbert 2008-02-10 19:50:14 EST
Enabled in rawhide.
Comment 2 Bug Zapper 2008-11-26 04:45:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Gregory Maxwell 2008-11-26 10:48:31 EST
It was fixed 2008-02-10 and was fine in Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.